/****** Object:  Table [dbo].[etabPruefungszuordnung]    Script Date: 12.11.2019 14:32:26 ******/
SET ANSI_NULLS ON

SET QUOTED_IDENTIFIER ON

CREATE TABLE [dbo].[etabPruefungszuordnung](
	[ZID] [int] NOT NULL,
	[SID] [nvarchar](50) NULL,
	[PSparkassenname] [nvarchar](255) NULL,
	[PPruefername] [nvarchar](255) NULL,
	[PID] [int] NULL,
	[PJahr] [int] NULL,
	[Bemerkung] [nvarchar](255) NULL,
	[AuftragsKZ] [nvarchar](2) NULL,
	[TS] [timestamp] NULL,
 CONSTRAINT [PK_etabPruefungszurodnung] PRIMARY KEY CLUSTERED 
(
	ZID ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


GO

/****** Object:  StoredProcedure [dbo].[spSucheSparkassen]    Script Date: 12.11.2019 15:06:51 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
create PROCEDURE [dbo].[spSucheSparkassenNurAktive] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT stabSparkassen.InstNr, stabSparkassen.SPKName  
FROM stabSparkassen 
where (GueltigBis is null or gueltigbis > getdate())
ORDER BY stabSparkassen.SPKName;
END
GO

/****** Object:  StoredProcedure [dbo].[spSuchePersonen]    Script Date: 12.11.2019 13:34:53 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
Create PROCEDURE [dbo].[spSucheAktivePersonen] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT stabPersonen.SPID, stabPersonen.SPName + ', ' + isnull(stabPersonen.SPVorname,'') 
FROM stabPersonen where Inaktiv = 0
ORDER BY stabPersonen.SPName;
END
GO

/****** Object:  StoredProcedure [dbo].[spSuchePersonen]    Script Date: 12.11.2019 13:34:53 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
Create PROCEDURE [dbo].[spZuordnungSchonDa] 
@SID nvarchar(3),
@PID int,
@PJahr int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT ZID from etabPruefungszuordnung where Sid = @sid and PID = @PID and PJahr = @PJAHR;
END
GO

/****** Object:  StoredProcedure [dbo].[spSucheSparkassen]    Script Date: 12.11.2019 17:15:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
ALTER PROCEDURE [dbo].[spSucheSparkassen] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT stabSparkassen.InstNr, stabSparkassen.SPKName, ssid  
FROM stabSparkassen 
ORDER BY stabSparkassen.SPKName;
END
GO


/****** Object:  StoredProcedure [dbo].[spSucheSparkassen]    Script Date: 12.11.2019 17:15:54 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
CREATE PROCEDURE [dbo].[spSucheSparkassenAktiv] 
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT stabSparkassen.InstNr, stabSparkassen.SPKName, ssid  
FROM stabSparkassen 
where (GueltigBis is null or GueltigBis > getdate())
ORDER BY stabSparkassen.SPKName;
END
GO

/****** Object:  StoredProcedure [dbo].[spSucheSparkassen]    Script Date: 12.11.2019 17:15:54 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		<Detering-Hauger>
-- Create date: <20.10.2008>
-- =============================================
CREATE PROCEDURE [dbo].[spSucheSparkassenAktivBerechtigt] 
@SPID int,
@PJahr int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        stabSparkassen.InstNr, stabSparkassen.SPKName, stabSparkassen.SSID, etabPruefungszuordnung.PID, etabPruefungszuordnung.PJahr
FROM            stabSparkassen INNER JOIN
                         etabPruefungszuordnung ON stabSparkassen.InstNr = etabPruefungszuordnung.SID
WHERE        ((stabSparkassen.GueltigBis IS NULL) OR (stabSparkassen.GueltigBis > GETDATE()))  AND (etabPruefungszuordnung.PID = @SPID) AND (etabPruefungszuordnung.PJahr = @PJahr) 
ORDER BY stabSparkassen.SPKName;
END
GO




Update _tabversion set DBVersion = '5.95', DBDate = '12.11.2019'
GO
